package cn.iocoder.yudao.module.order.dal.dataobject.orderWarehousePicture;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单仓库图片 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_warehouse_picture")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderWarehousePictureDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 图片地址
     */
    private String url;
    /**
     * 类型 1订单完成入仓 2 调拨出仓 3调拨到仓 4 订单转异 5订单项入仓 6报关资料
     */
    private Integer type;
    /**
     * 业务id  type为1/4/6时使用orderId， type为2/3时使用adjustId  type为5时使用orderItemId
     */
    private Long bizId;


    /**
     * 原始文件名
     */
    private String originalFileName;

}
